Qt 5.8 | Qt 3D | C++ Classes | QAlphaTest

Qt 5.8.0 Reference Documentation

# QAlphaTest Class

(Qt3DRender::QAlphaTest)

The QAlphaTest class specify alpha reference test More...

Header: | #include <QAlphaTest>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | AlphaTest
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Public Types

enum | AlphaFunction { Never, Always, Less, LessOrEqual, ..., NotEqual }

## Properties

- alphaFunction : AlphaFunction
- referenceValue : float

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QAlphaTest(Qt3DCore::QNode *parent = nullptr)
AlphaFunction | alphaFunction() const
float | referenceValue() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setAlphaFunction(AlphaFunction alphaFunction)
void | setReferenceValue(float referenceValue)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | alphaFunctionChanged(AlphaFunction alphaFunction)
void | referenceValueChanged(float referenceValue)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

The QAlphaTest class specify alpha reference test

As the OpenGL documentation explains; The alpha test discards a fragment conditional on the outcome of a comparison between the incoming fragment's alpha value and a constant reference value.

## Member Type Documentation

### enum QAlphaTest::AlphaFunction

Enumeration for the alpha function values

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QAlphaTest::Never` | `0x0200` | Never pass alpha test
`Qt3DRender::QAlphaTest::Always` | `0x0207` | Always pass alpha test
`Qt3DRender::QAlphaTest::Less` | `0x0201` | Pass alpha test if fragment alpha is less than reference value
`Qt3DRender::QAlphaTest::LessOrEqual` | `0x0203` | Pass alpha test if fragment alpha is less than or equal to reference value
`Qt3DRender::QAlphaTest::Equal` | `0x0202` | Pass alpha test if fragment alpha is equal to reference value
`Qt3DRender::QAlphaTest::GreaterOrEqual` | `0x0206` | Pass alpha test if fragment alpha is greater than or equal to reference value
`Qt3DRender::QAlphaTest::Greater` | `0x0204` | Pass alpha test if fragment alpha is greater than reference value
`Qt3DRender::QAlphaTest::NotEqual` | `0x0205` | Pass alpha test if fragment alpha is not equal to reference value

## Property Documentation

### alphaFunction : AlphaFunction

Holds the alpha function used by the alpha test. Default is Never.

Access functions:

AlphaFunction | alphaFunction() const
void | setAlphaFunction(AlphaFunction alphaFunction)

Notifier signal:

void | alphaFunctionChanged(AlphaFunction alphaFunction)

### referenceValue : float

Holds the reference value used by the alpha test. Default is 0.0. When set, the value is clamped between 0 and 1.

Access functions:

float | referenceValue() const
void | setReferenceValue(float referenceValue)

Notifier signal:

void | referenceValueChanged(float referenceValue)

## Member Function Documentation

### QAlphaTest::QAlphaTest(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QAlphaTest.